| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Sparse Load Fill Operations
Load/Store Operations » Compressed Sparse Load Operations

## Overview

## Functions
void | sparse_fill (v128int8_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data.
void | sparse_fill (v128uint8_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data.
void | sparse_fill (v256int4_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data.
void | sparse_fill (v256uint4_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data.
void | sparse_fill (v64bfloat16_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data.
void | sparse_fill (v64int16_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data.
void | sparse_fill (v64uint16_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data.
void | sparse_fill_and_get_pointer (v128int8_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.
void | sparse_fill_and_get_pointer (v128uint8_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.
void | sparse_fill_and_get_pointer (v256int4_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.
void | sparse_fill_and_get_pointer (v256uint4_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.
void | sparse_fill_and_get_pointer (v64bfloat16_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.
void | sparse_fill_and_get_pointer (v64int16_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.
void | sparse_fill_and_get_pointer (v64uint16_sparse_compress *&p)
| Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

## Function Documentation

## ◆ sparse_fill() [1/7]

void sparse_fill | ( | v128int8_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_fill() [2/7]

void sparse_fill | ( | v128uint8_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_fill() [3/7]

void sparse_fill | ( | v256int4_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_fill() [4/7]

void sparse_fill | ( | v256uint4_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_fill() [5/7]

void sparse_fill | ( | v64bfloat16_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_fill() [6/7]

void sparse_fill | ( | v64int16_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_fill() [7/7]

void sparse_fill | ( | v64uint16_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_fill_and_get_pointer() [1/7]

void sparse_fill_and_get_pointer | ( | v128int8_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_fill_and_get_pointer() [2/7]

void sparse_fill_and_get_pointer | ( | v128uint8_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_fill_and_get_pointer() [3/7]

void sparse_fill_and_get_pointer | ( | v256int4_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_fill_and_get_pointer() [4/7]

void sparse_fill_and_get_pointer | ( | v256uint4_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_fill_and_get_pointer() [5/7]

void sparse_fill_and_get_pointer | ( | v64bfloat16_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_fill_and_get_pointer() [6/7]

void sparse_fill_and_get_pointer | ( | v64int16_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_fill_and_get_pointer() [7/7]

void sparse_fill_and_get_pointer | ( | v64uint16_sparse_compress *& | p | ) |

Fills the internal buffer with 256 bit of compressed data. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.